Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 226827

Summary: sys-boot/dvhtool: patch (dvhtool-1.0.1-debian.diff) changes both autotools source and result
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Matt Turner <mattst88>
Status: RESOLVED FIXED    
Severity: normal CC: mips
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 226305    

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 17:35:23 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.
Comment 1 Matt Turner gentoo-dev 2011-06-14 04:11:14 UTC
Can I have a bit of guidance here?

The dvhtool-1.0.1-debian.diff patch modifies aclocal.m4 and Makefile.in, but not Makefile.am and not configure*.

What's the problem?
Comment 2 Matt Turner gentoo-dev 2011-08-18 03:35:01 UTC
Fixed.